// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.17.3
// source: kernel.proto

package kernelpb

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Content struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type  string `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Value []byte `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *Content) Reset() {
	*x = Content{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Content) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Content) ProtoMessage() {}

func (x *Content) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Content.ProtoReflect.Descriptor instead.
func (*Content) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0}
}

func (x *Content) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *Content) GetValue() []byte {
	if x != nil {
		return x.Value
	}
	return nil
}

type Error struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message  string               `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Stack    *string              `protobuf:"bytes,2,opt,name=stack,proto3,oneof" json:"stack,omitempty"`
	Position *Error_LineAndColumn `protobuf:"bytes,3,opt,name=position,proto3,oneof" json:"position,omitempty"`
}

func (x *Error) Reset() {
	*x = Error{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Error) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Error) ProtoMessage() {}

func (x *Error) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Error.ProtoReflect.Descriptor instead.
func (*Error) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1}
}

func (x *Error) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

func (x *Error) GetStack() string {
	if x != nil && x.Stack != nil {
		return *x.Stack
	}
	return ""
}

func (x *Error) GetPosition() *Error_LineAndColumn {
	if x != nil {
		return x.Position
	}
	return nil
}

// Visual Studio Code API
type VSCode struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *VSCode) Reset() {
	*x = VSCode{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VSCode) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VSCode) ProtoMessage() {}

func (x *VSCode) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VSCode.ProtoReflect.Descriptor instead.
func (*VSCode) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{2}
}

// Evaluation
type Eval struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Eval) Reset() {
	*x = Eval{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Eval) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Eval) ProtoMessage() {}

func (x *Eval) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Eval.ProtoReflect.Descriptor instead.
func (*Eval) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{3}
}

type Error_LineAndColumn struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Line   int32 `protobuf:"varint,1,opt,name=line,proto3" json:"line,omitempty"`
	Column int32 `protobuf:"varint,2,opt,name=column,proto3" json:"column,omitempty"`
}

func (x *Error_LineAndColumn) Reset() {
	*x = Error_LineAndColumn{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Error_LineAndColumn) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Error_LineAndColumn) ProtoMessage() {}

func (x *Error_LineAndColumn) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Error_LineAndColumn.ProtoReflect.Descriptor instead.
func (*Error_LineAndColumn) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1, 0}
}

func (x *Error_LineAndColumn) GetLine() int32 {
	if x != nil {
		return x.Line
	}
	return 0
}

func (x *Error_LineAndColumn) GetColumn() int32 {
	if x != nil {
		return x.Column
	}
	return 0
}

// [K>C] Read from cache
type VSCode_ReadCache struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key string `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
}

func (x *VSCode_ReadCache) Reset() {
	*x = VSCode_ReadCache{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VSCode_ReadCache) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VSCode_ReadCache) ProtoMessage() {}

func (x *VSCode_ReadCache) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VSCode_ReadCache.ProtoReflect.Descriptor instead.
func (*VSCode_ReadCache) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{2, 0}
}

func (x *VSCode_ReadCache) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

// [K>C] Write to cache
type VSCode_WriteCache struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key   string  `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Value *string `protobuf:"bytes,2,opt,name=value,proto3,oneof" json:"value,omitempty"`
}

func (x *VSCode_WriteCache) Reset() {
	*x = VSCode_WriteCache{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VSCode_WriteCache) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VSCode_WriteCache) ProtoMessage() {}

func (x *VSCode_WriteCache) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VSCode_WriteCache.ProtoReflect.Descriptor instead.
func (*VSCode_WriteCache) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{2, 1}
}

func (x *VSCode_WriteCache) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *VSCode_WriteCache) GetValue() string {
	if x != nil && x.Value != nil {
		return *x.Value
	}
	return ""
}

// [C>K] Cache response
type VSCode_Cached struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key   string  `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Value *string `protobuf:"bytes,2,opt,name=value,proto3,oneof" json:"value,omitempty"`
}

func (x *VSCode_Cached) Reset() {
	*x = VSCode_Cached{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VSCode_Cached) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VSCode_Cached) ProtoMessage() {}

func (x *VSCode_Cached) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VSCode_Cached.ProtoReflect.Descriptor instead.
func (*VSCode_Cached) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{2, 2}
}

func (x *VSCode_Cached) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *VSCode_Cached) GetValue() string {
	if x != nil && x.Value != nil {
		return *x.Value
	}
	return ""
}

// [K>C] Prompt request
type VSCode_Prompt struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Prompt      *string `protobuf:"bytes,1,opt,name=prompt,proto3,oneof" json:"prompt,omitempty"`
	Placeholder *string `protobuf:"bytes,2,opt,name=placeholder,proto3,oneof" json:"placeholder,omitempty"`
	Secret      bool    `protobuf:"varint,3,opt,name=secret,proto3" json:"secret,omitempty"`
}

func (x *VSCode_Prompt) Reset() {
	*x = VSCode_Prompt{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VSCode_Prompt) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VSCode_Prompt) ProtoMessage() {}

func (x *VSCode_Prompt) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VSCode_Prompt.ProtoReflect.Descriptor instead.
func (*VSCode_Prompt) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{2, 3}
}

func (x *VSCode_Prompt) GetPrompt() string {
	if x != nil && x.Prompt != nil {
		return *x.Prompt
	}
	return ""
}

func (x *VSCode_Prompt) GetPlaceholder() string {
	if x != nil && x.Placeholder != nil {
		return *x.Placeholder
	}
	return ""
}

func (x *VSCode_Prompt) GetSecret() bool {
	if x != nil {
		return x.Secret
	}
	return false
}

// [C>K] Prompt response
type VSCode_Prompted struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value *string `protobuf:"bytes,1,opt,name=value,proto3,oneof" json:"value,omitempty"`
}

func (x *VSCode_Prompted) Reset() {
	*x = VSCode_Prompted{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VSCode_Prompted) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VSCode_Prompted) ProtoMessage() {}

func (x *VSCode_Prompted) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VSCode_Prompted.ProtoReflect.Descriptor instead.
func (*VSCode_Prompted) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{2, 4}
}

func (x *VSCode_Prompted) GetValue() string {
	if x != nil && x.Value != nil {
		return *x.Value
	}
	return ""
}

// [C>K] Evaluate code request
type Eval_Code struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Code string `protobuf:"bytes,1,opt,name=code,proto3" json:"code,omitempty"`
}

func (x *Eval_Code) Reset() {
	*x = Eval_Code{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Eval_Code) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Eval_Code) ProtoMessage() {}

func (x *Eval_Code) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Eval_Code.ProtoReflect.Descriptor instead.
func (*Eval_Code) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{3, 0}
}

func (x *Eval_Code) GetCode() string {
	if x != nil {
		return x.Code
	}
	return ""
}

// [C>K] Cancel evaluation
type Eval_Cancel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Eval_Cancel) Reset() {
	*x = Eval_Cancel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Eval_Cancel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Eval_Cancel) ProtoMessage() {}

func (x *Eval_Cancel) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Eval_Cancel.ProtoReflect.Descriptor instead.
func (*Eval_Cancel) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{3, 1}
}

// [K>C] Output from evaluation
type Eval_Output struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Content []*Content `protobuf:"bytes,1,rep,name=content,proto3" json:"content,omitempty"`
}

func (x *Eval_Output) Reset() {
	*x = Eval_Output{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Eval_Output) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Eval_Output) ProtoMessage() {}

func (x *Eval_Output) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Eval_Output.ProtoReflect.Descriptor instead.
func (*Eval_Output) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{3, 2}
}

func (x *Eval_Output) GetContent() []*Content {
	if x != nil {
		return x.Content
	}
	return nil
}

// [K>C] Evaluate response
type Eval_Result struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Duration *durationpb.Duration `protobuf:"bytes,1,opt,name=duration,proto3" json:"duration,omitempty"`
	Errors   []*Error             `protobuf:"bytes,2,rep,name=errors,proto3" json:"errors,omitempty"`
}

func (x *Eval_Result) Reset() {
	*x = Eval_Result{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Eval_Result) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Eval_Result) ProtoMessage() {}

func (x *Eval_Result) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Eval_Result.ProtoReflect.Descriptor instead.
func (*Eval_Result) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{3, 3}
}

func (x *Eval_Result) GetDuration() *durationpb.Duration {
	if x != nil {
		return x.Duration
	}
	return nil
}

func (x *Eval_Result) GetErrors() []*Error {
	if x != nil {
		return x.Errors
	}
	return nil
}

var File_kernel_proto protoreflect.FileDescriptor

var file_kernel_proto_rawDesc = []byte{
	0x0a, 0x0c, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x33,
	0x0a, 0x07, 0x43, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x22, 0xc7, 0x01, 0x0a, 0x05, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x18, 0x0a,
	0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07,
	0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x19, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x63, 0x6b,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x73, 0x74, 0x61, 0x63, 0x6b, 0x88,
	0x01, 0x01, 0x12, 0x35, 0x0a, 0x08, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x2e, 0x4c, 0x69, 0x6e,
	0x65, 0x41, 0x6e, 0x64, 0x43, 0x6f, 0x6c, 0x75, 0x6d, 0x6e, 0x48, 0x01, 0x52, 0x08, 0x70, 0x6f,
	0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x1a, 0x3b, 0x0a, 0x0d, 0x4c, 0x69, 0x6e,
	0x65, 0x41, 0x6e, 0x64, 0x43, 0x6f, 0x6c, 0x75, 0x6d, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x6c, 0x69,
	0x6e, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x6c, 0x69, 0x6e, 0x65, 0x12, 0x16,
	0x0a, 0x06, 0x63, 0x6f, 0x6c, 0x75, 0x6d, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x06,
	0x63, 0x6f, 0x6c, 0x75, 0x6d, 0x6e, 0x42, 0x08, 0x0a, 0x06, 0x5f, 0x73, 0x74, 0x61, 0x63, 0x6b,
	0x42, 0x0b, 0x0a, 0x09, 0x5f, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xdf, 0x02,
	0x0a, 0x06, 0x56, 0x53, 0x43, 0x6f, 0x64, 0x65, 0x1a, 0x1d, 0x0a, 0x09, 0x52, 0x65, 0x61, 0x64,
	0x43, 0x61, 0x63, 0x68, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x1a, 0x43, 0x0a, 0x0a, 0x57, 0x72, 0x69, 0x74, 0x65,
	0x43, 0x61, 0x63, 0x68, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x19, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x88,
	0x01, 0x01, 0x42, 0x08, 0x0a, 0x06, 0x5f, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x1a, 0x3f, 0x0a, 0x06,
	0x43, 0x61, 0x63, 0x68, 0x65, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x19, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x88, 0x01, 0x01, 0x42, 0x08, 0x0a, 0x06, 0x5f, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x1a, 0x7f, 0x0a,
	0x06, 0x50, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x12, 0x1b, 0x0a, 0x06, 0x70, 0x72, 0x6f, 0x6d, 0x70,
	0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x06, 0x70, 0x72, 0x6f, 0x6d, 0x70,
	0x74, 0x88, 0x01, 0x01, 0x12, 0x25, 0x0a, 0x0b, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x68, 0x6f, 0x6c,
	0x64, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x0b, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x68, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x88, 0x01, 0x01, 0x12, 0x16, 0x0a, 0x06, 0x73,
	0x65, 0x63, 0x72, 0x65, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x73, 0x65, 0x63,
	0x72, 0x65, 0x74, 0x42, 0x09, 0x0a, 0x07, 0x5f, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x42, 0x0e,
	0x0a, 0x0c, 0x5f, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x68, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x1a, 0x2f,
	0x0a, 0x08, 0x50, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x65, 0x64, 0x12, 0x19, 0x0a, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x88, 0x01, 0x01, 0x42, 0x08, 0x0a, 0x06, 0x5f, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22,
	0xbb, 0x01, 0x0a, 0x04, 0x45, 0x76, 0x61, 0x6c, 0x1a, 0x1a, 0x0a, 0x04, 0x43, 0x6f, 0x64, 0x65,
	0x12, 0x12, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x63, 0x6f, 0x64, 0x65, 0x1a, 0x08, 0x0a, 0x06, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x1a, 0x2c,
	0x0a, 0x06, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x22, 0x0a, 0x07, 0x63, 0x6f, 0x6e, 0x74,
	0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x08, 0x2e, 0x43, 0x6f, 0x6e, 0x74,
	0x65, 0x6e, 0x74, 0x52, 0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x1a, 0x5f, 0x0a, 0x06,
	0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x35, 0x0a, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1e, 0x0a,
	0x06, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x06, 0x2e,
	0x45, 0x72, 0x72, 0x6f, 0x72, 0x52, 0x06, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x42, 0x37, 0x5a,
	0x35, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x65, 0x74, 0x68, 0x61,
	0x6e, 0x2e, 0x72, 0x65, 0x65, 0x73, 0x6f, 0x72, 0x2f, 0x76, 0x73, 0x63, 0x6f, 0x64, 0x65, 0x2d,
	0x6e, 0x6f, 0x74, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x73, 0x2f, 0x6c, 0x69, 0x62, 0x2f, 0x6b, 0x65,
	0x72, 0x6e, 0x65, 0x6c, 0x70, 0x62, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_kernel_proto_rawDescOnce sync.Once
	file_kernel_proto_rawDescData = file_kernel_proto_rawDesc
)

func file_kernel_proto_rawDescGZIP() []byte {
	file_kernel_proto_rawDescOnce.Do(func() {
		file_kernel_proto_rawDescData = protoimpl.X.CompressGZIP(file_kernel_proto_rawDescData)
	})
	return file_kernel_proto_rawDescData
}

var file_kernel_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_kernel_proto_goTypes = []interface{}{
	(*Content)(nil),             // 0: Content
	(*Error)(nil),               // 1: Error
	(*VSCode)(nil),              // 2: VSCode
	(*Eval)(nil),                // 3: Eval
	(*Error_LineAndColumn)(nil), // 4: Error.LineAndColumn
	(*VSCode_ReadCache)(nil),    // 5: VSCode.ReadCache
	(*VSCode_WriteCache)(nil),   // 6: VSCode.WriteCache
	(*VSCode_Cached)(nil),       // 7: VSCode.Cached
	(*VSCode_Prompt)(nil),       // 8: VSCode.Prompt
	(*VSCode_Prompted)(nil),     // 9: VSCode.Prompted
	(*Eval_Code)(nil),           // 10: Eval.Code
	(*Eval_Cancel)(nil),         // 11: Eval.Cancel
	(*Eval_Output)(nil),         // 12: Eval.Output
	(*Eval_Result)(nil),         // 13: Eval.Result
	(*durationpb.Duration)(nil), // 14: google.protobuf.Duration
}
var file_kernel_proto_depIdxs = []int32{
	4,  // 0: Error.position:type_name -> Error.LineAndColumn
	0,  // 1: Eval.Output.content:type_name -> Content
	14, // 2: Eval.Result.duration:type_name -> google.protobuf.Duration
	1,  // 3: Eval.Result.errors:type_name -> Error
	4,  // [4:4] is the sub-list for method output_type
	4,  // [4:4] is the sub-list for method input_type
	4,  // [4:4] is the sub-list for extension type_name
	4,  // [4:4] is the sub-list for extension extendee
	0,  // [0:4] is the sub-list for field type_name
}

func init() { file_kernel_proto_init() }
func file_kernel_proto_init() {
	if File_kernel_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_kernel_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Content); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Error); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VSCode); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Eval); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Error_LineAndColumn); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VSCode_ReadCache); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VSCode_WriteCache); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VSCode_Cached); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VSCode_Prompt); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VSCode_Prompted); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Eval_Code); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Eval_Cancel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Eval_Output); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Eval_Result); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_kernel_proto_msgTypes[1].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[6].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[7].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[8].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[9].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_kernel_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_kernel_proto_goTypes,
		DependencyIndexes: file_kernel_proto_depIdxs,
		MessageInfos:      file_kernel_proto_msgTypes,
	}.Build()
	File_kernel_proto = out.File
	file_kernel_proto_rawDesc = nil
	file_kernel_proto_goTypes = nil
	file_kernel_proto_depIdxs = nil
}
